# Header-only library.
%global debug_package %{nil}

Name:           cppzmq
Version:        4.9.0
Release:        1
Summary:        Header-only C++ binding for libzmq

License:        MIT
URL:            https://zeromq.org
Source0:        v%{version}.tar.gz

Patch0:         0-compile-with-catch2-3.patch

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(libzmq)
BuildRequires:  Catch2-devel
BuildRequires:  zeromq-devel

%global _description \
cppzmq is a C++ binding for libzmq. \
\
cppzmq maps the libzmq C API to C++ concepts. In particular, it is type-safe, \
provides exception-based error handling, and provides RAII-style classes that \
automate resource management. cppzmq is a light-weight, header-only binding.

%description %{_description}

%package devel
Summary:        %{summary}
Provides:       %{name}-static = %{version}-%{release}

Requires:       pkgconfig(libzmq)

%description devel %{_description}

%prep
%autosetup -p1

%build
%cmake .
%make_build

%install
%make_install

%check
make test

%files devel
%doc README.md
%license LICENSE
%{_includedir}/zmq*.hpp
%{_datadir}/cmake/%{name}
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Fri Apr 28 2023 will_niutao <niutao2@huawei.com> - 4.9.0-1
- init package for openEuler
